VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "virtex5"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL SYSCLK
        SIGNAL SEQ_PAT(31:0)
        SIGNAL WR_PAT
        SIGNAL WR_PROG
        SIGNAL DATA_CMD_REG(15:0)
        SIGNAL LCSPtr(5:0)
        SIGNAL LCSWriteData(15:0)
        SIGNAL LASReadData(11:0)
        SIGNAL AddrWrite
        SIGNAL AddrStkWrData(11:0)
        SIGNAL AddrStkRdData(11:0)
        SIGNAL LASWriteData(11:0)
        SIGNAL LCSReadData(15:0)
        SIGNAL LSWrite
        SIGNAL CTL_RST
        SIGNAL AddrStackPtr(5:0)
        SIGNAL DATA_PROG(15:0)
        SIGNAL DATA_PAT(15:0)
        SIGNAL LoopReg0(15:0)
        SIGNAL LoopReg1(15:0)
        SIGNAL LoopReg2(15:0)
        SIGNAL LoopReg3(15:0)
        SIGNAL LoopReg4(15:0)
        SIGNAL LoopReg5(15:0)
        SIGNAL LoopReg6(15:0)
        SIGNAL LoopReg7(15:0)
        SIGNAL LoopReg8(15:0)
        SIGNAL LoopReg9(15:0)
        SIGNAL LoopReg10(15:0)
        SIGNAL LoopReg11(15:0)
        SIGNAL LoopReg12(15:0)
        SIGNAL LoopReg13(15:0)
        SIGNAL LoopReg14(15:0)
        SIGNAL LoopReg15(15:0)
        SIGNAL STA_REG(31:0)
        SIGNAL OPCODEH(15:0)
        SIGNAL ProgPtrA(9:0)
        SIGNAL ProgPtrB(9:0)
        SIGNAL SeqCLK
        SIGNAL StartExposure
        SIGNAL WRT_ENABLES
        SIGNAL SYNC_DHE
        SIGNAL PatWrData(10:0)
        SIGNAL PatRdData(10:0)
        SIGNAL AUTOCANCEL
        SIGNAL SYNC_FLAG
        SIGNAL SYNC_EFR
        SIGNAL PatMemPtr(10:0)
        SIGNAL PWR_SYNC
        SIGNAL SE_READY
        SIGNAL SE_OUT
        SIGNAL SeqRunFlag
        SIGNAL PauseExposure
        SIGNAL DheIsMaster
        SIGNAL SyncDelay(7:0)
        SIGNAL UserBits(3:0)
        SIGNAL StartVector(7:0)
        SIGNAL TC
        SIGNAL ENABLE_INT
        SIGNAL SE_RST
        SIGNAL ReqIntTime(31:0)
        SIGNAL ActIntTime(31:0)
        SIGNAL Address_i(11:0)
        SIGNAL Address_i(9:0)
        SIGNAL PanData_i(15:0)
        SIGNAL SeqClkDivide(1:0)
        SIGNAL OpenShutter
        SIGNAL PreFlashOn
        SIGNAL ReadInProgress
        SIGNAL EnablesReg(7:0)
        SIGNAL WbWrtAddr(23:0)
        SIGNAL WbWrtAck
        SIGNAL WbWrtReq
        SIGNAL WbWrtDTag(3:0)
        SIGNAL WbWrtData(31:0)
        SIGNAL FRAME_START
        SIGNAL LINE_START
        SIGNAL SeqCLK0
        SIGNAL WRT_SEQ_TESTREG
        SIGNAL SeqTestReg(31:0)
        SIGNAL SEQ_PAT(23:0)
        SIGNAL WbRdReq
        SIGNAL WbRdAddr(23:0)
        SIGNAL WbRdData(31:0)
        SIGNAL WbRdAck
        SIGNAL OneMsClk
        SIGNAL PixDataDisable
        PORT Input SYSCLK
        PORT Input WR_PAT
        PORT Input WR_PROG
        PORT Output DATA_CMD_REG(15:0)
        PORT Input CTL_RST
        PORT Output DATA_PROG(15:0)
        PORT Output DATA_PAT(15:0)
        PORT Input LoopReg0(15:0)
        PORT Input LoopReg1(15:0)
        PORT Input LoopReg2(15:0)
        PORT Input LoopReg3(15:0)
        PORT Input LoopReg4(15:0)
        PORT Input LoopReg5(15:0)
        PORT Input LoopReg6(15:0)
        PORT Input LoopReg7(15:0)
        PORT Input LoopReg8(15:0)
        PORT Input LoopReg9(15:0)
        PORT Input LoopReg10(15:0)
        PORT Input LoopReg11(15:0)
        PORT Input LoopReg12(15:0)
        PORT Input LoopReg13(15:0)
        PORT Input LoopReg14(15:0)
        PORT Input LoopReg15(15:0)
        PORT Output STA_REG(31:0)
        PORT Input StartExposure
        PORT BiDirectional SYNC_DHE
        PORT Output PWR_SYNC
        PORT BiDirectional SE_READY
        PORT Output SE_OUT
        PORT Input SeqRunFlag
        PORT Input PauseExposure
        PORT Input DheIsMaster
        PORT Input SyncDelay(7:0)
        PORT Input UserBits(3:0)
        PORT Input StartVector(7:0)
        PORT Input ReqIntTime(31:0)
        PORT Output ActIntTime(31:0)
        PORT Input Address_i(11:0)
        PORT Input PanData_i(15:0)
        PORT Input SeqClkDivide(1:0)
        PORT Output OpenShutter
        PORT Output PreFlashOn
        PORT Output ReadInProgress
        PORT Output EnablesReg(7:0)
        PORT Output WbWrtAddr(23:0)
        PORT Input WbWrtAck
        PORT Output WbWrtReq
        PORT Output WbWrtDTag(3:0)
        PORT Output WbWrtData(31:0)
        PORT Output FRAME_START
        PORT Output LINE_START
        PORT Output SeqTestReg(31:0)
        PORT Output WbRdReq
        PORT Output WbRdAddr(23:0)
        PORT Input WbRdData(31:0)
        PORT Input WbRdAck
        PORT Input OneMsClk
        PORT Output PixDataDisable
        BEGIN BLOCKDEF Address_Stack
            TIMESTAMP 2004 5 14 1 55 8
            RECTANGLE N -80 -256 236 80 
            LINE N -80 -224 -144 -224 
            LINE N -80 -160 -144 -160 
            LINE N -80 -96 -144 -96 
            RECTANGLE N -144 -108 -80 -84 
            LINE N -80 -32 -144 -32 
            RECTANGLE N -144 -44 -80 -20 
            LINE N -144 32 -80 32 
            RECTANGLE N -144 24 -80 44 
        END BLOCKDEF
        BEGIN BLOCKDEF Loop_Addr_Stack
            TIMESTAMP 2004 5 11 18 57 16
            RECTANGLE N 0 -256 320 80 
            LINE N 0 -224 -64 -224 
            LINE N 0 -160 -64 -160 
            LINE N 0 -96 -64 -96 
            RECTANGLE N -64 -108 0 -84 
            LINE N 0 -32 -64 -32 
            RECTANGLE N -64 -44 0 -20 
            LINE N -64 32 0 32 
            RECTANGLE N -64 20 0 44 
        END BLOCKDEF
        BEGIN BLOCKDEF Loop_Count_Stack
            TIMESTAMP 2004 5 11 18 57 6
            RECTANGLE N -80 -256 240 80 
            LINE N -80 -224 -144 -224 
            LINE N -80 -160 -144 -160 
            LINE N -80 -96 -144 -96 
            RECTANGLE N -144 -108 -80 -84 
            LINE N -80 -32 -144 -32 
            RECTANGLE N -144 -44 -80 -20 
            LINE N -144 32 -80 32 
            RECTANGLE N -144 20 -80 44 
        END BLOCKDEF
        BEGIN BLOCKDEF Clock_Divide
            TIMESTAMP 2004 5 14 23 6 28
            LINE N 64 -160 0 -160 
            LINE N 64 -112 0 -112 
            LINE N 64 -64 0 -64 
            RECTANGLE N 0 -76 64 -52 
            LINE N 320 -160 384 -160 
            RECTANGLE N 64 -192 320 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF bufg
            TIMESTAMP 2001 2 2 12 22 16
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF pattern_stack
            TIMESTAMP 2004 5 14 1 51 26
            RECTANGLE N 64 -256 400 80 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 0 48 64 48 
            RECTANGLE N 0 36 64 60 
        END BLOCKDEF
        BEGIN BLOCKDEF NOAO_tblock
            TIMESTAMP 2008 11 3 19 10 23
            LINE N -4 -4 -1348 -4 
            LINE N -1348 -68 -1348 -4 
            LINE N -4 -68 -1348 -68 
            LINE N -4 -8 -4 -448 
            LINE N -4 -260 -1348 -260 
            LINE N -4 -132 -644 -132 
            LINE N -1348 -452 -4 -452 
            LINE N -1348 -68 -1348 -452 
            LINE N -1348 -132 -4 -132 
            LINE N -948 -132 -948 0 
            LINE N -548 -132 -548 -4 
        END BLOCKDEF
        BEGIN BLOCKDEF SyncLogic_Ver101
            TIMESTAMP 2010 1 25 20 26 43
            LINE N 480 -96 416 -96 
            LINE N 416 -224 480 -224 
            LINE N 416 -160 480 -160 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 64 -256 416 0 
            LINE N 64 -224 0 -224 
        END BLOCKDEF
        BEGIN BLOCKDEF SeqCmdReg_V101
            TIMESTAMP 2010 1 25 20 26 17
            LINE N 464 -288 400 -288 
            LINE N 464 -352 400 -352 
            LINE N 400 -416 464 -416 
            RECTANGLE N 400 -428 464 -404 
            LINE N 464 -160 400 -160 
            LINE N 464 -224 400 -224 
            LINE N 400 -96 464 -96 
            LINE N 464 -32 400 -32 
            LINE N 64 -352 0 -352 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 64 -160 0 -160 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            RECTANGLE N 64 -448 400 0 
            LINE N 64 -416 0 -416 
        END BLOCKDEF
        BEGIN BLOCKDEF ProgMemCore_Ver101
            TIMESTAMP 2010 1 28 15 2 29
            RECTANGLE N 64 0 400 304 
            LINE N 0 272 64 272 
            LINE N 64 32 0 32 
            RECTANGLE N 0 20 64 44 
            LINE N 64 80 0 80 
            RECTANGLE N 0 68 64 92 
            LINE N 64 224 0 224 
            RECTANGLE N 0 212 64 236 
            LINE N 464 32 400 32 
            RECTANGLE N 400 20 464 44 
            LINE N 464 80 400 80 
            RECTANGLE N 400 68 464 92 
            LINE N 0 128 64 128 
            LINE N 0 176 64 176 
        END BLOCKDEF
        BEGIN BLOCKDEF PatternMemCore_Ver101
            TIMESTAMP 2010 1 28 15 15 45
            RECTANGLE N 64 0 400 304 
            LINE N 0 128 64 128 
            LINE N 0 176 64 176 
            LINE N 0 272 64 272 
            LINE N 64 32 0 32 
            RECTANGLE N 0 20 64 44 
            LINE N 64 80 0 80 
            RECTANGLE N 0 68 64 92 
            LINE N 64 224 0 224 
            RECTANGLE N 0 212 64 236 
            LINE N 464 32 400 32 
            RECTANGLE N 400 20 464 44 
            LINE N 464 80 400 80 
            RECTANGLE N 400 68 464 92 
        END BLOCKDEF
        BEGIN BLOCKDEF TestCondReg_Ver103
            TIMESTAMP 2010 3 16 13 35 55
            RECTANGLE N 64 -304 400 0 
            LINE N 400 -272 464 -272 
            RECTANGLE N 400 -188 464 -164 
            LINE N 400 -176 464 -176 
            RECTANGLE N 400 -140 464 -116 
            LINE N 464 -128 400 -128 
            LINE N 464 -224 400 -224 
            RECTANGLE N 400 -92 464 -68 
            LINE N 400 -80 464 -80 
            LINE N 64 -272 0 -272 
            LINE N 64 -224 0 -224 
            LINE N 64 -176 0 -176 
            LINE N 64 -128 0 -128 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF DecodeExecute_V210
            TIMESTAMP 2011 10 2 20 34 17
            LINE N 320 400 384 400 
            LINE N -240 208 -304 208 
            RECTANGLE N -304 196 -240 220 
            LINE N -240 -656 -304 -656 
            RECTANGLE N -304 -668 -240 -644 
            LINE N -304 -704 -240 -704 
            RECTANGLE N -304 -716 -240 -692 
            LINE N -240 -800 -304 -800 
            LINE N -240 256 -304 256 
            RECTANGLE N -304 244 -240 268 
            LINE N -240 304 -304 304 
            RECTANGLE N -304 292 -240 316 
            LINE N -240 352 -304 352 
            RECTANGLE N -304 340 -240 364 
            LINE N -240 -320 -304 -320 
            RECTANGLE N -304 -332 -240 -308 
            LINE N -240 -288 -304 -288 
            RECTANGLE N -304 -300 -240 -276 
            LINE N -240 -256 -304 -256 
            RECTANGLE N -304 -268 -240 -244 
            LINE N -240 -224 -304 -224 
            RECTANGLE N -304 -236 -240 -212 
            LINE N -240 -192 -304 -192 
            RECTANGLE N -304 -204 -240 -180 
            LINE N -240 -160 -304 -160 
            RECTANGLE N -304 -172 -240 -148 
            LINE N -240 -128 -304 -128 
            RECTANGLE N -304 -140 -240 -116 
            LINE N -240 -96 -304 -96 
            RECTANGLE N -304 -108 -240 -84 
            LINE N -240 -64 -304 -64 
            RECTANGLE N -304 -76 -240 -52 
            LINE N -240 -32 -304 -32 
            RECTANGLE N -304 -44 -240 -20 
            LINE N -240 0 -304 0 
            RECTANGLE N -304 -12 -240 12 
            LINE N -240 32 -304 32 
            RECTANGLE N -304 20 -240 44 
            LINE N -240 64 -304 64 
            RECTANGLE N -304 52 -240 76 
            LINE N -240 96 -304 96 
            RECTANGLE N -304 84 -240 108 
            LINE N -240 128 -304 128 
            RECTANGLE N -304 116 -240 140 
            LINE N -240 160 -304 160 
            RECTANGLE N -304 148 -240 172 
            LINE N 320 -256 384 -256 
            LINE N -240 -464 -304 -464 
            LINE N -240 -560 -304 -560 
            RECTANGLE N -304 -572 -240 -548 
            RECTANGLE N -304 -476 -240 -452 
            LINE N -240 -752 -304 -752 
            LINE N 384 -448 320 -448 
            RECTANGLE N 320 -460 384 -436 
            LINE N 384 -320 320 -320 
            RECTANGLE N 320 -332 384 -308 
            LINE N 384 -592 320 -592 
            RECTANGLE N 320 -604 384 -580 
            LINE N 320 -784 384 -784 
            LINE N 320 -512 384 -512 
            RECTANGLE N 320 -524 384 -500 
            LINE N 320 -384 384 -384 
            RECTANGLE N 320 -396 384 -372 
            LINE N 320 -720 384 -720 
            RECTANGLE N 320 -732 384 -708 
            LINE N 320 -656 384 -656 
            RECTANGLE N 320 -668 384 -644 
            LINE N -240 -608 -304 -608 
            LINE N 320 -192 384 -192 
            RECTANGLE N 320 -204 384 -180 
            LINE N 320 -128 384 -128 
            LINE N 384 -80 320 -80 
            LINE N 320 16 384 16 
            RECTANGLE N 320 4 384 28 
            LINE N 320 64 384 64 
            RECTANGLE N 320 52 384 76 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 208 384 208 
            RECTANGLE N 320 292 384 316 
            LINE N 320 304 384 304 
            RECTANGLE N 320 340 384 364 
            LINE N 320 352 384 352 
            LINE N 384 160 320 160 
            RECTANGLE N 320 244 384 268 
            LINE N 320 256 384 256 
            LINE N -240 -512 -304 -512 
            RECTANGLE N -240 -832 320 528 
        END BLOCKDEF
        BEGIN BLOCKDEF IntTimer_Ver211
            TIMESTAMP 2012 2 27 17 43 46
            LINE N 464 -160 400 -160 
            RECTANGLE N 400 -172 464 -148 
            RECTANGLE N 64 -192 400 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -128 0 -128 
            LINE N 64 -96 0 -96 
            LINE N 64 -64 0 -64 
            LINE N 64 -32 0 -32 
            RECTANGLE N 400 -140 464 -116 
            LINE N 400 -128 464 -128 
            LINE N 400 -96 464 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF EnablesReg_Ver211
            TIMESTAMP 2012 2 27 17 53 45
            LINE N 496 -96 560 -96 
            LINE N 496 -32 560 -32 
            LINE N 496 -224 560 -224 
            LINE N 496 -160 560 -160 
            LINE N 80 -544 16 -544 
            LINE N 80 -480 16 -480 
            LINE N 80 -416 16 -416 
            LINE N 80 -352 16 -352 
            RECTANGLE N 16 -364 80 -340 
            LINE N 496 -352 560 -352 
            LINE N 496 -288 560 -288 
            LINE N 496 -544 560 -544 
            LINE N 496 -480 560 -480 
            LINE N 496 -416 560 -416 
            LINE N 16 -288 80 -288 
            RECTANGLE N 16 -236 80 -212 
            LINE N 16 -224 80 -224 
            LINE N 16 -160 80 -160 
            RECTANGLE N 80 -576 496 0 
            LINE N 80 -96 16 -96 
        END BLOCKDEF
        BLOCK TitleBlock NOAO_tblock
        BEGIN BLOCK MpuSyncLogic SyncLogic_Ver101
            PIN SEQ_RUNNING SeqRunFlag
            PIN DHE_IS_MASTER DheIsMaster
            PIN SYNC_EFR SYNC_EFR
            PIN SYNC_DELAY(7:0) SyncDelay(7:0)
            PIN EXT_SYNC SYNC_DHE
            PIN SYNC_FLAG SYNC_FLAG
            PIN SeqClk SYSCLK
        END BLOCK
        BEGIN BLOCK MpuCmdReg SeqCmdReg_V101
            PIN STNC SYNC_FLAG
            PIN TC TC
            PIN SE_IN StartExposure
            PIN MASTER DheIsMaster
            PIN StartExpRst SE_RST
            PIN PAUSE PauseExposure
            PIN Reset CTL_RST
            PIN SeqRunning SeqRunFlag
            PIN UserBits(3:0) UserBits(3:0)
            PIN SE_RDY SE_READY
            PIN SE_OUT SE_OUT
            PIN CmdBits(15:0) DATA_CMD_REG(15:0)
            PIN SeqClk SYSCLK
            PIN StartVector(7:0) StartVector(7:0)
        END BLOCK
        BEGIN BLOCK MpuProgramMemoryStore ProgMemCore_Ver101
            PIN ADDRA(9:0) ProgPtrA(9:0)
            PIN DINA(15:0) PanData_i(15:0)
            PIN WEA WR_PROG
            PIN CLKA SYSCLK
            PIN ADDRB(9:0) ProgPtrB(9:0)
            PIN CLKB SYSCLK
            PIN DOUTA(15:0) DATA_PROG(15:0)
            PIN DOUTB(15:0) OPCODEH(15:0)
        END BLOCK
        BEGIN BLOCK MpuPatternMemoryStore PatternMemCore_Ver101
            PIN ADDRA(11:0) Address_i(11:0)
            PIN DINA(15:0) PanData_i(15:0)
            PIN WEA WR_PAT
            PIN CLKA SYSCLK
            PIN ADDRB(10:0) PatMemPtr(10:0)
            PIN CLKB SYSCLK
            PIN DOUTA(15:0) DATA_PAT(15:0)
            PIN DOUTB(31:0) SEQ_PAT(31:0)
        END BLOCK
        BEGIN BLOCK XLXI_2 bufg
            PIN I SeqCLK0
            PIN O SeqCLK
        END BLOCK
        BEGIN BLOCK MpuClockDivider Clock_Divide
            PIN clkin SYSCLK
            PIN sync SYNC_FLAG
            PIN ratio(1:0) SeqClkDivide(1:0)
            PIN clkout SeqCLK0
        END BLOCK
        BEGIN BLOCK MpuLoopAddrStack Loop_Addr_Stack
            PIN laswrite LSWrite
            PIN sysclk SYSCLK
            PIN lasptr(5:0) LCSPtr(5:0)
            PIN laswritedata(11:0) LASWriteData(11:0)
            PIN lasrddata(11:0) LASReadData(11:0)
        END BLOCK
        BEGIN BLOCK MpuLoopCntrStack Loop_Count_Stack
            PIN lcswrite LSWrite
            PIN sysclk SYSCLK
            PIN lcsptr(5:0) LCSPtr(5:0)
            PIN lcswritedata(15:0) LCSWriteData(15:0)
            PIN lcsrddata(15:0) LCSReadData(15:0)
        END BLOCK
        BEGIN BLOCK MpuCallAddrStack Address_Stack
            PIN addrwrite AddrWrite
            PIN sysclk SYSCLK
            PIN addrptr(5:0) AddrStackPtr(5:0)
            PIN addrwritedata(11:0) AddrStkWrData(11:0)
            PIN addrrddata(11:0) AddrStkRdData(11:0)
        END BLOCK
        BEGIN BLOCK MpuPatternPtrStack pattern_stack
            PIN patwrite AddrWrite
            PIN sysclk SYSCLK
            PIN addrptr(5:0) AddrStackPtr(5:0)
            PIN patwritedata(10:0) PatWrData(10:0)
            PIN patreaddata(10:0) PatRdData(10:0)
        END BLOCK
        BEGIN BLOCK MpuTestCondReg TestCondReg_Ver103
            PIN WbRdReq_o WbRdReq
            PIN WbRdAddr_o(23:0) WbRdAddr(23:0)
            PIN WbRdData_i(31:0) WbRdData(31:0)
            PIN WbRdAck_i WbRdAck
            PIN TestCondReg_o(31:0) SeqTestReg(31:0)
            PIN SeqRunFlag_i SeqRunFlag
            PIN WrtEnable_i WRT_SEQ_TESTREG
            PIN SeqClk_i SeqCLK
            PIN SysClk_i SYSCLK
            PIN PatternData_i(23:0) SEQ_PAT(23:0)
        END BLOCK
        BEGIN BLOCK MpuDecodeExecuteUnit DecodeExecute_V210
            PIN SeqCLK SeqCLK
            PIN SysClk SYSCLK
            PIN Reset CTL_RST
            PIN SeqRunFlag SeqRunFlag
            PIN AutoCancelFlag AUTOCANCEL
            PIN WbWrtAck_i WbWrtAck
            PIN CmdReg(15:0) DATA_CMD_REG(15:0)
            PIN OPCODEL(15:0) DATA_PROG(15:0)
            PIN OPCODEH(15:0) OPCODEH(15:0)
            PIN LoopReg0(15:0) LoopReg0(15:0)
            PIN LoopReg1(15:0) LoopReg1(15:0)
            PIN LoopReg2(15:0) LoopReg2(15:0)
            PIN LoopReg3(15:0) LoopReg3(15:0)
            PIN LoopReg4(15:0) LoopReg4(15:0)
            PIN LoopReg5(15:0) LoopReg5(15:0)
            PIN LoopReg6(15:0) LoopReg6(15:0)
            PIN LoopReg7(15:0) LoopReg7(15:0)
            PIN LoopReg8(15:0) LoopReg8(15:0)
            PIN LoopReg9(15:0) LoopReg9(15:0)
            PIN LoopReg10(15:0) LoopReg10(15:0)
            PIN LoopReg11(15:0) LoopReg11(15:0)
            PIN LoopReg12(15:0) LoopReg12(15:0)
            PIN LoopReg13(15:0) LoopReg13(15:0)
            PIN LoopReg14(15:0) LoopReg14(15:0)
            PIN LoopReg15(15:0) LoopReg15(15:0)
            PIN PatternData(31:0) SEQ_PAT(31:0)
            PIN PANADDR(9:0) Address_i(9:0)
            PIN PatStackReadData(10:0) PatRdData(10:0)
            PIN LASReadData(11:0) LASReadData(11:0)
            PIN LCSReadData(15:0) LCSReadData(15:0)
            PIN AddrStackReadData(11:0) AddrStkRdData(11:0)
            PIN PatMemPtr(10:0) PatMemPtr(10:0)
            PIN LSPtr(5:0) LCSPtr(5:0)
            PIN AddrStackPtr(5:0) AddrStackPtr(5:0)
            PIN SeqEnablesWrite WRT_ENABLES
            PIN LSWrite LSWrite
            PIN AddrStackWrite AddrWrite
            PIN WbWrtReq_o WbWrtReq
            PIN ProgPtrA(9:0) ProgPtrA(9:0)
            PIN ProgPtrB(9:0) ProgPtrB(9:0)
            PIN PatStackWriteData(10:0) PatWrData(10:0)
            PIN LASWriteData(11:0) LASWriteData(11:0)
            PIN LCSWriteDAta(15:0) LCSWriteData(15:0)
            PIN AddrStackWriteData(11:0) AddrStkWrData(11:0)
            PIN StatusReg(31:0) STA_REG(31:0)
            PIN WbWrtDTag_o(3:0) WbWrtDTag(3:0)
            PIN WbWrtAddr_o(23:0) WbWrtAddr(23:0)
            PIN WbWrtData_o(31:0) WbWrtData(31:0)
            PIN SeqTestRegWrite WRT_SEQ_TESTREG
        END BLOCK
        BEGIN BLOCK MpuIntegrationTimer IntTimer_Ver211
            PIN SysClk_i SYSCLK
            PIN OneMsClk_i OneMsClk
            PIN Reset_i CTL_RST
            PIN Enable_i ENABLE_INT
            PIN Pause_i PauseExposure
            PIN IntTime_i(31:0) ReqIntTime(31:0)
            PIN TC_o TC
            PIN IntCtr_o(31:0) ActIntTime(31:0)
        END BLOCK
        BEGIN BLOCK MpuEnablesReg EnablesReg_Ver211
            PIN SeqClk_i SeqCLK
            PIN SeqRunFlag_i SeqRunFlag
            PIN WrtEnable_i WRT_ENABLES
            PIN PatternData_i(31:0) SEQ_PAT(31:0)
            PIN EnableIntCtr_o ENABLE_INT
            PIN AutoCancel_o AUTOCANCEL
            PIN ResetSEBit_o SE_RST
            PIN DHESyncOut_o SYNC_EFR
            PIN PSMSyncOut_o PWR_SYNC
            PIN OpenShutter_o OpenShutter
            PIN SetPreflashOn_o PreFlashOn
            PIN ReadoutBusy_o ReadInProgress
            PIN FrameSync_o FRAME_START
            PIN LineSync_o LINE_START
            PIN PixDataDisable_o PixDataDisable
            PIN EnablesReg_o(7:0) EnablesReg(7:0)
            PIN Pause_i PauseExposure
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 5440 3520
        RECTANGLE N 888 32 2800 1756 
        RECTANGLE N 2800 1388 4036 3488 
        RECTANGLE N 32 32 888 3488 
        RECTANGLE N 888 1756 2800 3488 
        RECTANGLE N 2800 32 4036 1388 
        BEGIN BRANCH AddrWrite
            WIRE 2192 2032 2256 2032
            BEGIN DISPLAY 2256 2032 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AddrStkWrData(11:0)
            WIRE 2192 2160 2256 2160
            BEGIN DISPLAY 2256 2160 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AddrStkRdData(11:0)
            WIRE 2192 2224 2256 2224
            BEGIN DISPLAY 2256 2224 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LASWriteData(11:0)
            WIRE 2192 2304 2256 2304
            BEGIN DISPLAY 2256 2304 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LASReadData(11:0)
            WIRE 2192 2368 2256 2368
            BEGIN DISPLAY 2256 2368 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LCSWriteData(15:0)
            WIRE 2192 2432 2256 2432
            BEGIN DISPLAY 2256 2432 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LCSReadData(15:0)
            WIRE 2192 2496 2256 2496
            BEGIN DISPLAY 2256 2496 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LSWrite
            WIRE 2192 2560 2256 2560
            BEGIN DISPLAY 2256 2560 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CTL_RST
            WIRE 1440 2064 1504 2064
            BEGIN DISPLAY 1440 2064 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AddrStackPtr(5:0)
            WIRE 2192 2096 2256 2096
            BEGIN DISPLAY 2256 2096 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg0(15:0)
            WIRE 1440 2496 1504 2496
            BEGIN DISPLAY 1440 2496 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg1(15:0)
            WIRE 1440 2528 1504 2528
            BEGIN DISPLAY 1440 2528 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg2(15:0)
            WIRE 1440 2560 1504 2560
            BEGIN DISPLAY 1440 2560 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg3(15:0)
            WIRE 1440 2592 1504 2592
            BEGIN DISPLAY 1440 2592 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg4(15:0)
            WIRE 1440 2624 1504 2624
            BEGIN DISPLAY 1440 2624 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg5(15:0)
            WIRE 1440 2656 1504 2656
            BEGIN DISPLAY 1440 2656 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg6(15:0)
            WIRE 1440 2688 1504 2688
            BEGIN DISPLAY 1440 2688 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg7(15:0)
            WIRE 1440 2720 1504 2720
            BEGIN DISPLAY 1440 2720 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg8(15:0)
            WIRE 1440 2752 1504 2752
            BEGIN DISPLAY 1440 2752 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg9(15:0)
            WIRE 1440 2784 1504 2784
            BEGIN DISPLAY 1440 2784 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg10(15:0)
            WIRE 1440 2816 1504 2816
            BEGIN DISPLAY 1440 2816 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg11(15:0)
            WIRE 1440 2848 1504 2848
            BEGIN DISPLAY 1440 2848 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg12(15:0)
            WIRE 1440 2880 1504 2880
            BEGIN DISPLAY 1440 2880 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg13(15:0)
            WIRE 1440 2912 1504 2912
            BEGIN DISPLAY 1440 2912 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg14(15:0)
            WIRE 1440 2944 1504 2944
            BEGIN DISPLAY 1440 2944 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg15(15:0)
            WIRE 1440 2976 1504 2976
            BEGIN DISPLAY 1440 2976 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_PROG(15:0)
            WIRE 1440 3072 1504 3072
            BEGIN DISPLAY 1440 3072 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH OPCODEH(15:0)
            WIRE 1440 3120 1504 3120
            BEGIN DISPLAY 1440 3120 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PatWrData(10:0)
            WIRE 1440 2112 1504 2112
            BEGIN DISPLAY 1440 2112 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PatRdData(10:0)
            WIRE 1440 2160 1504 2160
            BEGIN DISPLAY 1440 2160 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SeqCLK
            WIRE 1440 2016 1504 2016
            BEGIN DISPLAY 1440 2016 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PatMemPtr(10:0)
            WIRE 1440 2256 1504 2256
            BEGIN DISPLAY 1440 2256 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_CMD_REG(15:0)
            WIRE 1440 2352 1504 2352
            BEGIN DISPLAY 1440 2352 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        RECTANGLE N 4036 1620 5408 3012 
        BEGIN BRANCH WR_PAT
            WIRE 3072 288 3136 288
            BEGIN DISPLAY 3072 288 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 3072 336 3136 336
            BEGIN DISPLAY 3072 336 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PatMemPtr(10:0)
            WIRE 3072 384 3136 384
            BEGIN DISPLAY 3072 384 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_PAT(15:0)
            WIRE 3600 192 3664 192
            BEGIN DISPLAY 3664 192 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_PAT(31:0)
            WIRE 3600 240 3664 240
            BEGIN DISPLAY 3664 240 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 3072 432 3136 432
            BEGIN DISPLAY 3072 432 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN DISPLAY 2952 564 TEXT "PATTERN MEMORY (2048 x 32/ 4096 x 16)"
            FONT 44 "Arial"
        END DISPLAY
        BEGIN BRANCH ProgPtrA(9:0)
            WIRE 3088 752 3136 752
            BEGIN DISPLAY 3088 752 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WR_PROG
            WIRE 3072 848 3136 848
            BEGIN DISPLAY 3072 848 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 3072 896 3136 896
            BEGIN DISPLAY 3072 896 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ProgPtrB(9:0)
            WIRE 3072 944 3136 944
            BEGIN DISPLAY 3072 944 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 3072 992 3136 992
            BEGIN DISPLAY 3072 992 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_PROG(15:0)
            WIRE 3600 752 3664 752
            BEGIN DISPLAY 3664 752 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH OPCODEH(15:0)
            WIRE 3600 800 3664 800
            BEGIN DISPLAY 3664 800 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN DISPLAY 2924 1096 TEXT "PROGRAM MEMORY (1024 x 16 / 1024 x 16)"
            FONT 44 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4472 2948 TEXT "CLOCK AND SYNC LOGIC"
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 3164 3404 TEXT "LOOP  CONTROL STACK"
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1504 3404 TEXT "DECODE EXECUTION UNIT"
            FONT 64 "Arial"
        END DISPLAY
        BEGIN BRANCH SeqRunFlag
            WIRE 1440 2208 1504 2208
            BEGIN DISPLAY 1440 2208 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE MpuSyncLogic 4624 2736 R0
        END INSTANCE
        BEGIN BRANCH SYNC_FLAG
            WIRE 5104 2512 5184 2512
            BEGIN DISPLAY 5184 2512 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYNC_EFR
            WIRE 5104 2640 5184 2640
            BEGIN DISPLAY 5184 2640 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYNC_DHE
            WIRE 5104 2576 5184 2576
            BEGIN DISPLAY 5184 2576 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 4480 2512 4624 2512
            BEGIN DISPLAY 4480 2512 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SeqRunFlag
            WIRE 4480 2576 4624 2576
            BEGIN DISPLAY 4480 2576 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DheIsMaster
            WIRE 4480 2640 4624 2640
            BEGIN DISPLAY 4480 2640 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SyncDelay(7:0)
            WIRE 4480 2704 4624 2704
            BEGIN DISPLAY 4480 2704 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_CMD_REG(15:0)
            WIRE 2048 176 2080 176
            BEGIN DISPLAY 2080 176 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TC
            WIRE 2048 240 2080 240
            BEGIN DISPLAY 2080 240 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYNC_FLAG
            WIRE 2048 304 2080 304
            BEGIN DISPLAY 2080 304 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SE_READY
            WIRE 2048 368 2080 368
            BEGIN DISPLAY 2080 368 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SE_OUT
            WIRE 2048 496 2080 496
            BEGIN DISPLAY 2080 496 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CTL_RST
            WIRE 1552 240 1584 240
            BEGIN DISPLAY 1552 240 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 1552 176 1584 176
            BEGIN DISPLAY 1552 176 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SE_RST
            WIRE 1552 304 1584 304
            BEGIN DISPLAY 1552 304 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH StartExposure
            WIRE 1552 368 1584 368
            BEGIN DISPLAY 1552 368 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SeqRunFlag
            WIRE 1552 432 1584 432
            BEGIN DISPLAY 1552 432 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH UserBits(3:0)
            WIRE 1552 496 1584 496
            BEGIN DISPLAY 1552 496 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH StartVector(7:0)
            WIRE 1552 560 1584 560
            BEGIN DISPLAY 1552 560 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PauseExposure
            WIRE 2048 560 2080 560
            BEGIN DISPLAY 2080 560 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DheIsMaster
            WIRE 2048 432 2080 432
            BEGIN DISPLAY 2080 432 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE MpuCmdReg 1584 592 R0
        END INSTANCE
        BEGIN DISPLAY 4604 3424 TEXT "Peter Moore"
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4596 3488 TEXT 2.11
            FONT 28 "Arial"
        END DISPLAY
        BEGIN INSTANCE TitleBlock 5440 3520 R0
        END INSTANCE
        BEGIN DISPLAY 4312 3348 TEXT "4-BIT MPU BASED SEQUENCER"
            FONT 56 "Arial"
        END DISPLAY
        BEGIN DISPLAY 84 88 TEXT INPUTS
            FONT 64 "Arial"
        END DISPLAY
        BEGIN BRANCH ENABLE_INT
            WIRE 1552 832 1584 832
            BEGIN DISPLAY 1552 832 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PauseExposure
            WIRE 1552 896 1584 896
            BEGIN DISPLAY 1552 896 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TC
            WIRE 2048 832 2080 832
            BEGIN DISPLAY 2080 832 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SeqCLK
            WIRE 1552 1056 1584 1056
            BEGIN DISPLAY 1552 1056 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PWR_SYNC
            WIRE 2128 1312 2160 1312
            BEGIN DISPLAY 2160 1312 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ENABLE_INT
            WIRE 2128 1056 2160 1056
            BEGIN DISPLAY 2160 1056 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AUTOCANCEL
            WIRE 2128 1120 2160 1120
            BEGIN DISPLAY 2160 1120 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SE_RST
            WIRE 2128 1184 2160 1184
            BEGIN DISPLAY 2160 1184 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYNC_EFR
            WIRE 2128 1248 2160 1248
            BEGIN DISPLAY 2160 1248 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SeqRunFlag
            WIRE 1552 1120 1584 1120
            BEGIN DISPLAY 1552 1120 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WRT_ENABLES
            WIRE 1552 1184 1584 1184
            BEGIN DISPLAY 1552 1184 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_PAT(31:0)
            WIRE 1552 1248 1584 1248
            BEGIN DISPLAY 1552 1248 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Address_i(11:0)
            WIRE 3104 192 3136 192
            BEGIN DISPLAY 3104 192 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Address_i(9:0)
            WIRE 1440 3168 1504 3168
            BEGIN DISPLAY 1440 3168 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PanData_i(15:0)
            WIRE 3104 240 3136 240
            BEGIN DISPLAY 3104 240 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PanData_i(15:0)
            WIRE 3088 800 3136 800
            BEGIN DISPLAY 3088 800 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 368 176 496 176
        END BRANCH
        IOMARKER 368 176 SYSCLK R180 28
        BEGIN BRANCH OpenShutter
            WIRE 2128 1376 2176 1376
            BEGIN DISPLAY 2176 1376 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PreFlashOn
            WIRE 2128 1440 2176 1440
            BEGIN DISPLAY 2176 1440 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ReadInProgress
            WIRE 1552 1312 1584 1312
            BEGIN DISPLAY 1552 1312 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH EnablesReg(7:0)
            WIRE 1552 1376 1584 1376
            BEGIN DISPLAY 1552 1376 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LCSPtr(5:0)
            WIRE 2192 2624 2256 2624
            BEGIN DISPLAY 2256 2624 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WRT_ENABLES
            WIRE 2192 2688 2256 2688
            BEGIN DISPLAY 2256 2688 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AUTOCANCEL
            WIRE 2192 2736 2256 2736
            BEGIN DISPLAY 2256 2736 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH STA_REG(31:0)
            WIRE 2192 2784 2256 2784
            BEGIN DISPLAY 2256 2784 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ProgPtrA(9:0)
            WIRE 2192 2832 2256 2832
            BEGIN DISPLAY 2256 2832 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ProgPtrB(9:0)
            WIRE 2192 2880 2256 2880
            BEGIN DISPLAY 2256 2880 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WbWrtAck
            WIRE 2192 2976 2256 2976
            BEGIN DISPLAY 2256 2976 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WbWrtReq
            WIRE 2192 3024 2256 3024
            BEGIN DISPLAY 2256 3024 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WbWrtAddr(23:0)
            WIRE 2192 3120 2256 3120
            BEGIN DISPLAY 2256 3120 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WbWrtData(31:0)
            WIRE 2192 3168 2256 3168
            BEGIN DISPLAY 2256 3168 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_PAT(31:0)
            WIRE 1440 3024 1504 3024
            BEGIN DISPLAY 1440 3024 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 1440 2304 1504 2304
            BEGIN DISPLAY 1440 2304 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WbWrtDTag(3:0)
            WIRE 2192 3072 2256 3072
            BEGIN DISPLAY 2256 3072 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE MpuProgramMemoryStore 3136 720 R0
        END INSTANCE
        BEGIN INSTANCE MpuPatternMemoryStore 3136 160 R0
        END INSTANCE
        INSTANCE XLXI_2 4704 1952 R0
        BEGIN BRANCH SeqCLK0
            WIRE 4496 1920 4704 1920
            BEGIN DISPLAY 4496 1920 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SeqCLK
            WIRE 4928 1920 5136 1920
            BEGIN DISPLAY 5136 1920 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE MpuClockDivider 4656 2320 R0
        END INSTANCE
        BEGIN BRANCH SYSCLK
            WIRE 4496 2160 4656 2160
            BEGIN DISPLAY 4496 2160 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SeqCLK0
            WIRE 5040 2160 5136 2160
            BEGIN DISPLAY 5136 2160 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYNC_FLAG
            WIRE 4496 2208 4656 2208
            BEGIN DISPLAY 4496 2208 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SeqClkDivide(1:0)
            WIRE 4624 2256 4656 2256
            BEGIN DISPLAY 4624 2256 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN DISPLAY 1364 1692 TEXT "CONFIGURATION REGISTERS"
            FONT 64 "Arial"
        END DISPLAY
        BEGIN BRANCH FRAME_START
            WIRE 2128 1504 2176 1504
            BEGIN DISPLAY 2176 1504 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LINE_START
            WIRE 2128 1568 2176 1568
            BEGIN DISPLAY 2176 1568 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LSWrite
            WIRE 3280 2992 3344 2992
            BEGIN DISPLAY 3280 2992 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 3280 3056 3344 3056
            BEGIN DISPLAY 3280 3056 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LCSPtr(5:0)
            WIRE 3280 3120 3344 3120
            BEGIN DISPLAY 3280 3120 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LASWriteData(11:0)
            WIRE 3280 3184 3344 3184
            BEGIN DISPLAY 3280 3184 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LASReadData(11:0)
            WIRE 3280 3248 3344 3248
            BEGIN DISPLAY 3280 3248 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE MpuLoopAddrStack 3408 3216 R0
        END INSTANCE
        BEGIN INSTANCE MpuLoopCntrStack 3488 2752 R0
        END INSTANCE
        BEGIN BRANCH SYSCLK
            WIRE 3280 2592 3344 2592
            BEGIN DISPLAY 3280 2592 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LSWrite
            WIRE 3280 2528 3344 2528
            BEGIN DISPLAY 3280 2528 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LCSPtr(5:0)
            WIRE 3280 2656 3344 2656
            BEGIN DISPLAY 3280 2656 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LCSWriteData(15:0)
            WIRE 3280 2720 3344 2720
            BEGIN DISPLAY 3280 2720 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LCSReadData(15:0)
            WIRE 3280 2784 3344 2784
            BEGIN DISPLAY 3280 2784 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AddrWrite
            WIRE 3312 2064 3344 2064
            BEGIN DISPLAY 3312 2064 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 3312 2128 3344 2128
            BEGIN DISPLAY 3312 2128 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AddrStackPtr(5:0)
            WIRE 3312 2192 3344 2192
            BEGIN DISPLAY 3312 2192 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AddrStkWrData(11:0)
            WIRE 3312 2256 3344 2256
            BEGIN DISPLAY 3312 2256 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AddrStkRdData(11:0)
            WIRE 3312 2320 3344 2320
            BEGIN DISPLAY 3312 2320 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE MpuCallAddrStack 3488 2288 R0
        END INSTANCE
        BEGIN INSTANCE MpuPatternPtrStack 3328 1808 R0
        END INSTANCE
        BEGIN BRANCH AddrWrite
            WIRE 3248 1584 3328 1584
            BEGIN DISPLAY 3248 1584 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 3248 1648 3328 1648
            BEGIN DISPLAY 3248 1648 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AddrStackPtr(5:0)
            WIRE 3248 1712 3328 1712
            BEGIN DISPLAY 3248 1712 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PatWrData(10:0)
            WIRE 3248 1776 3328 1776
            BEGIN DISPLAY 3248 1776 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PatRdData(10:0)
            WIRE 3248 1856 3328 1856
            BEGIN DISPLAY 3248 1856 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN DISPLAY 3052 1248 TEXT "MEMORY MODULES"
            FONT 64 "Arial"
        END DISPLAY
        RECTANGLE N 4036 32 5408 1620 
        BEGIN BRANCH WRT_SEQ_TESTREG
            WIRE 2192 3216 2256 3216
            BEGIN DISPLAY 2256 3216 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE MpuTestCondReg 4592 1488 R0
        END INSTANCE
        BEGIN BRANCH SYSCLK
            WIRE 4560 1360 4592 1360
            BEGIN DISPLAY 4560 1360 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SeqCLK
            WIRE 4560 1312 4592 1312
            BEGIN DISPLAY 4560 1312 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WRT_SEQ_TESTREG
            WIRE 4560 1264 4592 1264
            BEGIN DISPLAY 4560 1264 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SeqRunFlag
            WIRE 4560 1216 4592 1216
            BEGIN DISPLAY 4560 1216 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WbRdReq
            WIRE 5056 1216 5088 1216
            BEGIN DISPLAY 5088 1216 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WbRdAck
            WIRE 5056 1264 5088 1264
            BEGIN DISPLAY 5088 1264 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WbRdAddr(23:0)
            WIRE 5056 1312 5088 1312
            BEGIN DISPLAY 5088 1312 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WbRdData(31:0)
            WIRE 5056 1360 5088 1360
            BEGIN DISPLAY 5088 1360 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SeqTestReg(31:0)
            WIRE 5056 1408 5088 1408
            BEGIN DISPLAY 5088 1408 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_PAT(23:0)
            WIRE 4560 1456 4592 1456
            BEGIN DISPLAY 4560 1456 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE MpuDecodeExecuteUnit 1808 2816 R0
        END INSTANCE
        BEGIN BRANCH DATA_PAT(15:0)
            WIRE 384 2160 496 2160
        END BRANCH
        BEGIN BRANCH DATA_PROG(15:0)
            WIRE 384 2208 496 2208
        END BRANCH
        BEGIN BRANCH DATA_CMD_REG(15:0)
            WIRE 384 2256 496 2256
        END BRANCH
        BEGIN BRANCH STA_REG(31:0)
            WIRE 384 2304 496 2304
        END BRANCH
        BEGIN BRANCH EnablesReg(7:0)
            WIRE 384 2352 496 2352
        END BRANCH
        BEGIN BRANCH SYNC_DHE
            WIRE 384 2400 496 2400
        END BRANCH
        BEGIN BRANCH PWR_SYNC
            WIRE 384 2448 496 2448
        END BRANCH
        BEGIN BRANCH SE_OUT
            WIRE 384 2496 496 2496
        END BRANCH
        BEGIN BRANCH OpenShutter
            WIRE 384 2544 496 2544
        END BRANCH
        BEGIN BRANCH PreFlashOn
            WIRE 384 2592 496 2592
        END BRANCH
        BEGIN BRANCH ReadInProgress
            WIRE 384 2640 496 2640
        END BRANCH
        BEGIN BRANCH WbWrtReq
            WIRE 384 2688 496 2688
        END BRANCH
        BEGIN BRANCH WbWrtDTag(3:0)
            WIRE 384 2736 496 2736
        END BRANCH
        BEGIN BRANCH WbWrtAddr(23:0)
            WIRE 384 2784 496 2784
        END BRANCH
        BEGIN BRANCH WbWrtData(31:0)
            WIRE 384 2832 496 2832
        END BRANCH
        BEGIN BRANCH ActIntTime(31:0)
            WIRE 368 2112 496 2112
        END BRANCH
        BEGIN DISPLAY 72 2044 TEXT OUTPUTS
            FONT 64 "Arial"
        END DISPLAY
        BEGIN BRANCH FRAME_START
            WIRE 384 2880 496 2880
        END BRANCH
        BEGIN BRANCH LINE_START
            WIRE 384 2928 496 2928
        END BRANCH
        BEGIN BRANCH WbRdReq
            WIRE 384 2976 496 2976
        END BRANCH
        BEGIN BRANCH WbRdAddr(23:0)
            WIRE 384 3024 496 3024
        END BRANCH
        BEGIN BRANCH SeqTestReg(31:0)
            WIRE 384 3072 496 3072
        END BRANCH
        IOMARKER 384 2160 DATA_PAT(15:0) R180 28
        IOMARKER 384 2208 DATA_PROG(15:0) R180 28
        IOMARKER 384 2256 DATA_CMD_REG(15:0) R180 28
        IOMARKER 384 2304 STA_REG(31:0) R180 28
        IOMARKER 384 2352 EnablesReg(7:0) R180 28
        IOMARKER 384 2400 SYNC_DHE R180 28
        IOMARKER 384 2448 PWR_SYNC R180 28
        IOMARKER 384 2496 SE_OUT R180 28
        IOMARKER 384 2544 OpenShutter R180 28
        IOMARKER 384 2592 PreFlashOn R180 28
        IOMARKER 384 2640 ReadInProgress R180 28
        IOMARKER 384 2688 WbWrtReq R180 28
        IOMARKER 384 2736 WbWrtDTag(3:0) R180 28
        IOMARKER 384 2784 WbWrtAddr(23:0) R180 28
        IOMARKER 384 2832 WbWrtData(31:0) R180 28
        IOMARKER 368 2112 ActIntTime(31:0) R180 28
        IOMARKER 384 2880 FRAME_START R180 28
        IOMARKER 384 2928 LINE_START R180 28
        IOMARKER 384 2976 WbRdReq R180 28
        IOMARKER 384 3024 WbRdAddr(23:0) R180 28
        IOMARKER 384 3072 SeqTestReg(31:0) R180 28
        BEGIN BRANCH CTL_RST
            WIRE 368 272 496 272
        END BRANCH
        BEGIN BRANCH LoopReg0(15:0)
            WIRE 432 320 496 320
        END BRANCH
        BEGIN BRANCH LoopReg1(15:0)
            WIRE 432 368 496 368
        END BRANCH
        BEGIN BRANCH LoopReg2(15:0)
            WIRE 432 416 496 416
        END BRANCH
        BEGIN BRANCH LoopReg3(15:0)
            WIRE 432 464 496 464
        END BRANCH
        BEGIN BRANCH LoopReg4(15:0)
            WIRE 432 512 496 512
        END BRANCH
        BEGIN BRANCH LoopReg5(15:0)
            WIRE 432 560 496 560
        END BRANCH
        BEGIN BRANCH LoopReg6(15:0)
            WIRE 432 608 496 608
        END BRANCH
        BEGIN BRANCH LoopReg7(15:0)
            WIRE 432 656 496 656
        END BRANCH
        BEGIN BRANCH LoopReg8(15:0)
            WIRE 432 704 496 704
        END BRANCH
        BEGIN BRANCH LoopReg9(15:0)
            WIRE 432 752 496 752
        END BRANCH
        BEGIN BRANCH LoopReg10(15:0)
            WIRE 432 800 496 800
        END BRANCH
        BEGIN BRANCH LoopReg11(15:0)
            WIRE 432 848 496 848
        END BRANCH
        BEGIN BRANCH LoopReg12(15:0)
            WIRE 432 896 496 896
        END BRANCH
        BEGIN BRANCH LoopReg13(15:0)
            WIRE 432 944 496 944
        END BRANCH
        BEGIN BRANCH LoopReg14(15:0)
            WIRE 432 992 496 992
        END BRANCH
        BEGIN BRANCH LoopReg15(15:0)
            WIRE 432 1040 496 1040
        END BRANCH
        BEGIN BRANCH ReqIntTime(31:0)
            WIRE 432 1088 496 1088
        END BRANCH
        BEGIN BRANCH SyncDelay(7:0)
            WIRE 368 1136 496 1136
        END BRANCH
        BEGIN BRANCH UserBits(3:0)
            WIRE 368 1184 496 1184
        END BRANCH
        BEGIN BRANCH StartVector(7:0)
            WIRE 368 1232 496 1232
        END BRANCH
        BEGIN BRANCH SeqClkDivide(1:0)
            WIRE 368 1280 496 1280
        END BRANCH
        BEGIN BRANCH SeqRunFlag
            WIRE 368 1328 496 1328
        END BRANCH
        BEGIN BRANCH StartExposure
            WIRE 368 1376 496 1376
        END BRANCH
        BEGIN BRANCH PauseExposure
            WIRE 368 1424 496 1424
        END BRANCH
        BEGIN BRANCH DheIsMaster
            WIRE 368 1472 496 1472
        END BRANCH
        BEGIN BRANCH WbWrtAck
            WIRE 368 1520 496 1520
        END BRANCH
        BEGIN BRANCH SE_READY
            WIRE 384 1568 496 1568
        END BRANCH
        BEGIN BRANCH Address_i(11:0)
            WIRE 368 1616 496 1616
        END BRANCH
        BEGIN BRANCH PanData_i(15:0)
            WIRE 368 1664 496 1664
        END BRANCH
        BEGIN BRANCH WR_PAT
            WIRE 368 1712 496 1712
        END BRANCH
        BEGIN BRANCH WR_PROG
            WIRE 368 1760 496 1760
        END BRANCH
        IOMARKER 368 272 CTL_RST R180 28
        IOMARKER 432 320 LoopReg0(15:0) R180 28
        IOMARKER 432 368 LoopReg1(15:0) R180 28
        IOMARKER 432 416 LoopReg2(15:0) R180 28
        IOMARKER 432 464 LoopReg3(15:0) R180 28
        IOMARKER 432 512 LoopReg4(15:0) R180 28
        IOMARKER 432 560 LoopReg5(15:0) R180 28
        IOMARKER 432 608 LoopReg6(15:0) R180 28
        IOMARKER 432 656 LoopReg7(15:0) R180 28
        IOMARKER 432 704 LoopReg8(15:0) R180 28
        IOMARKER 432 752 LoopReg9(15:0) R180 28
        IOMARKER 432 800 LoopReg10(15:0) R180 28
        IOMARKER 432 848 LoopReg11(15:0) R180 28
        IOMARKER 432 896 LoopReg12(15:0) R180 28
        IOMARKER 432 944 LoopReg13(15:0) R180 28
        IOMARKER 432 992 LoopReg14(15:0) R180 28
        IOMARKER 432 1040 LoopReg15(15:0) R180 28
        IOMARKER 432 1088 ReqIntTime(31:0) R180 28
        IOMARKER 368 1136 SyncDelay(7:0) R180 28
        IOMARKER 368 1184 UserBits(3:0) R180 28
        IOMARKER 368 1232 StartVector(7:0) R180 28
        IOMARKER 368 1280 SeqClkDivide(1:0) R180 28
        IOMARKER 368 1328 SeqRunFlag R180 28
        IOMARKER 368 1376 StartExposure R180 28
        IOMARKER 368 1424 PauseExposure R180 28
        IOMARKER 368 1472 DheIsMaster R180 28
        IOMARKER 368 1520 WbWrtAck R180 28
        IOMARKER 384 1568 SE_READY R180 28
        IOMARKER 368 1616 Address_i(11:0) R180 28
        IOMARKER 368 1664 PanData_i(15:0) R180 28
        IOMARKER 368 1712 WR_PAT R180 28
        IOMARKER 368 1760 WR_PROG R180 28
        BEGIN BRANCH OneMsClk
            WIRE 368 224 496 224
        END BRANCH
        IOMARKER 368 224 OneMsClk R180 28
        BEGIN BRANCH CTL_RST
            WIRE 1552 800 1584 800
            BEGIN DISPLAY 1552 800 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 1552 768 1584 768
            BEGIN DISPLAY 1552 768 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ActIntTime(31:0)
            WIRE 2048 800 2096 800
            BEGIN DISPLAY 2096 800 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ReqIntTime(31:0)
            WIRE 2048 768 2096 768
            BEGIN DISPLAY 2096 768 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH OneMsClk
            WIRE 1552 864 1584 864
            BEGIN DISPLAY 1552 864 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WbRdData(31:0)
            WIRE 384 1808 496 1808
        END BRANCH
        BEGIN BRANCH WbRdAck
            WIRE 384 1856 496 1856
        END BRANCH
        IOMARKER 384 1808 WbRdData(31:0) R180 28
        IOMARKER 384 1856 WbRdAck R180 28
        BEGIN BRANCH PixDataDisable
            WIRE 1552 1440 1584 1440
            BEGIN DISPLAY 1552 1440 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PixDataDisable
            WIRE 384 3120 496 3120
        END BRANCH
        IOMARKER 384 3120 PixDataDisable R180 28
        BEGIN INSTANCE MpuIntegrationTimer 1584 928 R0
        END INSTANCE
        BEGIN INSTANCE MpuEnablesReg 1568 1600 R0
        END INSTANCE
        BEGIN BRANCH PauseExposure
            WIRE 1552 1504 1584 1504
            BEGIN DISPLAY 1552 1504 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
    END SHEET
END SCHEMATIC
